XF 2.1 SOLVED! Error trying to do manual upgrade from 2.1.8 PL1 to 2.1.8 PL2

djbaxter

Well-known member
I'm getting this:

Code:
ErrorException: [E_WARNING] file_put_contents(/home/politics/public_html/internal_data/code_cache/templates/l1/s0/public/_media_site_embed_applemusic.php): failed to open stream: Permission denied in src/vendor/league/flysystem/src/Adapter/Local.php at line 199

    XF::handlePhpError()
    file_put_contents() in src/vendor/league/flysystem/src/Adapter/Local.php at line 199
    League\Flysystem\Adapter\Local->update() in src/vendor/league/flysystem/src/Filesystem.php at line 99
    League\Flysystem\Filesystem->put()
    call_user_func_array() in src/vendor/league/flysystem-eventable-filesystem/src/EventableFilesystem.php at line 431
    League\Flysystem\EventableFilesystem\EventableFilesystem->callFilesystemMethod() in src/vendor/league/flysystem-eventable-filesystem/src/EventableFilesystem.php at line 395
    League\Flysystem\EventableFilesystem\EventableFilesystem->delegateMethodCall() in src/vendor/league/flysystem-eventable-filesystem/src/EventableFilesystem.php at line 57
    League\Flysystem\EventableFilesystem\EventableFilesystem->put() in src/vendor/league/flysystem/src/MountManager.php at line 595
    League\Flysystem\MountManager->put() in src/XF/Util/File.php at line 197
    XF\Util\File::writeToAbstractedPath() in src/XF/Service/Template/Compile.php at line 146
    XF\Service\Template\Compile->writeCompiled() in src/XF/Service/Template/Compile.php at line 43
    XF\Service\Template\Compile->recompile() in src/XF/Entity/Template.php at line 433
    XF\Entity\Template->_postSave() in src/XF/Mvc/Entity/Entity.php at line 1219
    XF\Mvc\Entity\Entity->save() in src/XF/Mvc/Entity/Entity.php at line 1213
    XF\Mvc\Entity\Entity->save() in src/XF/AddOn/DataType/BbCodeMediaSite.php at line 85
    XF\AddOn\DataType\BbCodeMediaSite->importAddOnData() in src/XF/Job/AddOnData.php at line 106
    XF\Job\AddOnData->run() in src/XF/Job/Atomic.php at line 38
    XF\Job\Atomic->run() in src/XF/Job/Manager.php at line 253
    XF\Job\Manager->runJobInternal() in src/XF/Job/Manager.php at line 195
    XF\Job\Manager->runJobEntry() in src/XF/Job/Manager.php at line 146
    XF\Job\Manager->runUnique() in src/XF/Install/Controller/AbstractController.php at line 24
    XF\Install\Controller\AbstractController->manualJobRunner() in src/XF/Install/Controller/Upgrade.php at line 257
    XF\Install\Controller\Upgrade->actionRunJob() in src/XF/Mvc/Dispatcher.php at line 350
    XF\Mvc\Dispatcher->dispatchClass() in src/XF/Mvc/Dispatcher.php at line 257
    XF\Mvc\Dispatcher->dispatchFromMatch() in src/XF/Mvc/Dispatcher.php at line 113
    XF\Mvc\Dispatcher->dispatchLoop() in src/XF/Mvc/Dispatcher.php at line 55
    XF\Mvc\Dispatcher->run() in src/XF/App.php at line 2184
    XF\App->run() in src/XF.php at line 391
    XF::runApp() in install/index.php at line 14
 

djbaxter

Well-known member
From my host:

Your php handler is cgi for all php versions you have installed, you have mod_mpm_prefork you do not have these enabled

mod_suexec
Per-user/group execution module for the Apache HTTP Server

mod_suphp
Execute PHP scripts with the permissions of their owner.

If you want to enable these in easyapache and try your application once more.
I enabled those modules in Apache and now the automatic upgrade works.

This is with standard cPanel permissions except for /data and /internal_data with folders set to 0777. All files remain at 0644.
 
Top